package bz.bronze.painter;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.awt.image.RenderedImage;
import java.util.Random;

public class Context {
	static int rectSize = 100;
	
	static Random rng = new Random();
	
	static BufferedImage bufferedImage = new BufferedImage(Window.paintArea.getWidth(), Window.paintArea.getHeight(), BufferedImage.TYPE_INT_ARGB);
    static RenderedImage renderedImage;
    
    static Graphics g = bufferedImage.createGraphics();
	
	public static void drawBorders(Graphics g)
	{		
		g.fillRect(0, 0, 3, Window.height + 10);
		
		g.dispose();
	}
	
	public static void draw(int x, int y)
	{
		//g = bufferedImage.createGraphics();
		
		int size = Window.sizeSlider.getValue();
		Color c = new Color(rng.nextInt(256), rng.nextInt(256), rng.nextInt(256), Window.opacitySlider.getValue());
		
		g.setColor(c);
		
		g.fillOval(x - size / 2, y - size / 2, size, size);
		
		renderedImage = bufferedImage;
		
		Log.print("[PAINTER] Drawn at " + "X: " + x + " Y: " + y);
		Log.print("[PAINTER] Color "  + "R: "  + c.getRed() + " G: " + c.getGreen() + " B: " + c.getBlue());
		Log.print("[PAINTER] Opacity " + Window.opacitySlider.getValue());
	}
	
	public static void swapBuffers(Graphics g)
	{
		Graphics2D g2d = (Graphics2D) g;
		g2d.drawImage(bufferedImage, null, 0, 0);
	}
}