package bz.bronze.painter;

public class Tick implements Runnable {
	public Thread tick = new Thread(this);
	long taskTime = 0;
	long sleepTime = 1000/60;
	
	public Tick()
	{
		tick.start();
	}
	
	public void run() {
		while(Painter.isRunning)
		{
			taskTime = System.currentTimeMillis();
			
			Window.opacitySliderLabel.setText("Opacity: " + Window.opacitySlider.getValue());
			Window.sizeSliderLabel.setText("Size: " + Window.sizeSlider.getValue());
			
			Context.drawBorders(Window.paintArea.getGraphics());
			
			if(Input.mouseIsDown)
			{
				try
				{
					Context.draw(Window.paintArea.getMousePosition().x, Window.paintArea.getMousePosition().y);
				} catch (Exception e)
				{
					Log.print("[ERROR] Mouse out of bounds!");
				}
			}
			
			Context.swapBuffers(Window.paintArea.getGraphics());
			
			taskTime = System.currentTimeMillis()-taskTime;
			  if (sleepTime-taskTime > 0 ) {
			    try {
					Thread.sleep(sleepTime-taskTime);
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
			  }
		}
	}
}